{ lib, ... }:
{
  programs.hyprlock = {
    enable = true;

    settings = lib.mkForce {
      general = {
        disable_loading_bar = true;
        ignore_empty_input = true;
        hide_cursor = true;
      };

      background = [
        {
          path = "screenshot";
          # color = "rgba(25, 20, 20, 1.0)";

          blur_passes = 2;
          blur_size = 7;
          noise = 0.0117;
          contrast = 0.8916;
          brightness = 0.8172;
          vibrancy = 0.1696;
          vibrancy_darkness = 0.0;
        }
      ];

      input-field = [
        {
          size = "30%, 5%";
          position = "0, 0";
          monitor = "";
          dots_center = true;
          fade_on_empty = false;
          font_color = "rgb(202, 211, 245)";
          inner_color = "rgb(91, 96, 120)";
          outer_color = "rgb(24, 25, 38)";
          outline_thickness = 5;
          placeholder_text = ''<span foreground="##cad3f5">Password...</span>'';
          shadow_passes = 2;
        }
      ];

      label = [
        {
          text = "Welcome!";
          position = "0, 20%";
          font_size = 40;
          font_family = "JetBrains Mono";
          halign = "center";
          valign = "center";
        }
        {
          text = "$TIME";
          position = "0, 15%";
          font_size = 25;
          font_family = "JetBrains Mono";
          halign = "center";
          valign = "center";
        }
      ];
    };
  };
}
